use `hospitality`;

-- alter rstranslation (wasn't used before this patch)

alter table `rstranslation` change column `TOPMS` `dial` varchar(255) after id;
alter table `rstranslation` change column `Cleartext` `status_text` varchar(255);
alter table `rstranslation` add column `to_fcui` varchar(255);

update `rstranslation` set `status_text` = 'Pickup Required', `to_fcui` = 'PU' where `status_text` = 'Undefined (7)';
update `rstranslation` set `status_text` = 'Verified', `to_fcui` = 'VF' where `status_text` = 'Undefined (9)';

update `rstranslation` set `to_fcui` = 'VC' where `status_text` = 'Clean / Vacant';
update `rstranslation` set `to_fcui` = 'VD' where `status_text` = 'Dirty / Vacant';
update `rstranslation` set `to_fcui` = 'OC' where `status_text` = 'Clean / Occupied';
update `rstranslation` set `to_fcui` = 'OD' where `status_text` = 'Dirty / Occupied';
update `rstranslation` set `to_fcui` = 'FA' where `status_text` = 'Error';

-- assign class of service to variables

select `class_of_service_id` into @cs_internal_cos_id
from `ombutel`.`ombu_classes_of_service`
where `cos` = 'cc_internal';

select `class_of_service_id` into @cs_national_cos_id
from `ombutel`.`ombu_classes_of_service`
where `cos` = 'cc_national';

select `class_of_service_id` into @cs_international_cos_id
from `ombutel`.`ombu_classes_of_service`
where `cos` = 'cc_international';

-- configure settings

insert ignore into `hospitality`.`settings` (`name`, `value`) values
	('csb', @cs_internal_cos_id),
	('csi', @cs_internal_cos_id),
	('csl', @cs_national_cos_id),
    ('csa', @cs_international_cos_id),
    ('csd', @cs_national_cos_id),
	('csw', @cs_international_cos_id)
on duplicate key update `value` = values(`value`);
